<div class="file-input-dropzone" id="file-input-dropzone">
  <input [multiple]="this.allowMultiple" type="file" [accept]="this.acceptedFileTypes" #fileDropzone id="fileDropzone" (change)="handleFileInput(fileDropzone.files)" class="not-displayed">
  <!-- INFO INSIDE DROPZONE -->
  <div *ngIf="this.selectedFiles.length == 0">
    <h3>Drag and Drop {{this.allowMultiple ? "files" : "file"}} here</h3>
    <h3>or</h3>
  </div>
  <!-- GRID-LIST OF SELECTED FILES -->
  <div class="file-input-dropzone-selected-display" *ngIf="this.selectedFiles.length > 0">
    <h3>Currently selected {{this.allowMultiple ? "files" : "file"}}</h3>
    <div class="file-grid-list">
      <ng-container *ngFor="let file of this.selectedFiles">
        <div class="file-input-list-item-name">
          {{file.name}}
        </div>
        <button mat-button (click)="removeFile(file)" color="primary" class="file-input-list-item-button">
          <mat-icon>delete</mat-icon>
        </button>
      </ng-container>
    </div>
  </div>
  <!-- FILE SELECTION BUTTON AND INFO ON FILE TYPES -->
  <div class="file-input-dropzone-browse-button">
    <button mat-stroked-button color="primary" (click)="fileDropzone.click()">
      <mat-icon>insert_drive_file</mat-icon>
      <span>Choose {{this.allowMultiple ? "files" : "file"}}</span>
    </button>
    <p>{{this.allowMultiple ? "Files" : "File"}} must be of type {{this.acceptedFileTypes}}</p>
  </div>
</div>

    